package blusci;

import processing.core.*; 
import fullscreen.*;  //um im Vollbildmodus starten zu können.

import org.scilab.modules.javasci.Scilab;
import org.scilab.modules.types.ScilabType;
import org.scilab.modules.types.ScilabDouble;



public class BLUSCI extends PApplet
{
    int zaehler = 0;
    Scilab sci;
    
    int zustand = 0;
    
    public void setup()
    {
        try
        {
            sci = new Scilab();
            sci.open(); 
        }
        catch(Exception e)
        {
            System.out.println("Problem beim Öffnen von Scilab:"+e);
            System.exit(0);
        }
        size(displayWidth, displayHeight);
        frameRate(10);
        (new FullScreen(this)).enter();         
    }
    
    public void draw()
    {
        clear();
        fill(0);
        rect(0,0,displayWidth,displayHeight);

        fill(255,0,0);
        ellipse(zaehler,0,50,50);

        
        zaehler+=10;
        zaehler%=displayWidth;
    }   

    public void mouseClicked()
    {
        if(zustand==0)
        {
            zustand++;
            sci.exec("foo = [ 2, 4, 6; 4, 0, 10; 6, 10, 12 ];");

            try
            {
                ScilabType foo = sci.get("foo");
                System.out.println("Representation of  : "+foo);
            }
            catch(Exception e)
            {
                System.out.println("Problem bei der Ausführung eines Scilab-Befehls:"+e);
            }
            
        }
        else
        {
            sci.close();
            System.exit(0);
        }
    }
    
    public static void main(String[] passedArgs) 
    {
        String[] appletArgs = new String[] { "blusci.BLUSCI" };
        if(passedArgs != null) 
        {
             PApplet.main(concat(appletArgs, passedArgs));
        } 
        else 
        {
            PApplet.main(appletArgs);
        }            
    }    
}
